version: '3'

services:
    app:
        container_name: security-docker-app
        image: honosecurity:latest
        ports:
            - 80:3000
        environment:
            - DB_HOST=securitydb
            - DB_USER=security
            - DB_PASSWORD=security
            - DB_NAME=security
            - SECRET=B3fhtqMKauXiX0vK7TEIYDy9kdVsO8Ccw55rcrEtGBM=

    securitydb:
        container_name: security-docker-mysql
        image: mariadb:latest
        ports:
            - '3306:3306'
        volumes:
            - db-security-data:/var/lib/mysql
        environment:
            - MYSQL_ROOT_PASSWORD=root
            - MYSQL_DATABASE=security
            - MYSQL_USER=security
            - MYSQL_PASSWORD=security
        command: --innodb-use-native-aio=0

    royanlabphpmyadmin:
        container_name: security-docker-phpmyadmin
        image: phpmyadmin/phpmyadmin
        links:
            - securitydb
        ports:
            - 8000:80
        environment:
            - MYSQL_USER=security
            - MYSQL_PASSWORD=security
            - MYSQL_ROOT_PASSWORD=root
            - PMA_USER=security
            - PMA_PASSWORD=security
            - PMA_ARBITRARY="1"
            - PMA_HOST=securitydb
            - UPLOAD_LIMIT=1G

volumes:
    db-security-data:
